<?php
// +-------------------------------------------------+
//  2002-2004 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: crontab_pmb.php,v 1.3.24.1 2021/09/22 14:49:09 dbellamy Exp $

// PARAMETRAGE CLIENT

// Identifiant de la source du connecteur sortant
$source_id = 3;
// Base de donnes (A prciser si +sieurs bases de donnes sont accessibles)
$database = '';

// Adresse wsdl du web service
$wsdl_url = "http://SERVER/PATH_PMB/ws/connector_out.php?" . (($database) ? "&database=$database" : "") . "&source_id=" . $source_id . "&wsdl";

// Identification
$ws_user = 'external_user';
$ws_pwd = 'PassW0rD';
$options = [];
if ($ws_user && $ws_pwd) {
    $options = [
        'login' => $ws_user,
        'password' => $ws_pwd
    ];
}

try {
    $ws = new SoapClient($wsdl_url, $options);
    // ces 3 fonctions doivent tre autorise dans le groupe anonyme
    // //Tches dont le timeout serait dpass...
    $ws->pmbesTasks_timeoutTasks();
    // Tches interrompues involontairement..
    $ws->pmbesTasks_checkTasks();
    // Tches  excuter
    $ws->pmbesTasks_runTasks($source_id);
} catch (Exception $e) {
    error_log($e->getMessage());
}
